#ifndef MSP_VR_OCULUSRIFTDEVICE_H_
#define MSP_VR_OCULUSRIFTDEVICE_H_

#include "displaydevice.h"
#include "oculusriftcamera.h"
#include "oculusriftcombiner.h"

namespace Msp {
namespace VR {

class OculusRiftDevice: public DisplayDevice
{
public:
	struct Private;

private:
	Private *priv;

public:
	OculusRiftDevice();
	virtual ~OculusRiftDevice();

	const Private &get_private() const { return *priv; }

	virtual OculusRiftCamera *create_camera(const GL::Camera &) const;
	virtual OculusRiftCombiner *create_combiner() const;
};

} // namespace VR
} // namespace Msp

#endif
