#ifndef MSP_VR_OCULUSRIFTCAMERA_H_
#define MSP_VR_OCULUSRIFTCAMERA_H_

#include "headtrackingcamera.h"

namespace Msp {
namespace VR {

class OculusRiftDevice;

class OculusRiftCamera: public HeadTrackingCamera
{
private:
	struct Private;

	const OculusRiftDevice &device;
	const GL::Camera &base_camera;
	Private *priv;

public:
	OculusRiftCamera(const OculusRiftDevice &, const GL::Camera &);
	virtual ~OculusRiftCamera();

	virtual void update();
};

} // namespace VR
} // namespace Msp

#endif
